# Benchmark

## CLI Arguments

### Benchmark Mode

Choose the benchmark mode.

Argument: `--benchmark-mode`

Default: `warm`

Choices:

* `warm`
* `cold`

Example: `--benchmark-mode cold`

### Benchmark Resolutions

Choose the resolutions for the benchmarks.

Argument: `--benchmark-resolutions`

Default: `240p`

Choices:

* `240p`
* `360p`
* `540p`
* `720p`
* `1080p`
* `1440p`
* `2160p`

Example: `--benchmark-resolutions 240p 360p`

### Benchmark Cycle Count

Specify the amount of cycles per benchmark.

Argument: `--benchmark-cycle-count`

Default: `5`

Range: `1` to `10` at `1`

Example: `--benchmark-cycle-count 10`

## Default Overrides

Modify the `facefusion.ini` file to override the defaults.

```ini
[benchmark]
benchmark_mode = cold
benchmark_resolutions = 240p 360p
benchmark_cycle_count = 10
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.facefusion.io/usage/cli-arguments/benchmark.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
